#ifndef eAudioAttr_H
#define eAudioAttr_H

#include <QMenu>
#include <QAction>
#include <QListWidgetItem>
#include "eattr.h"
#include "eaudio.h"

namespace Ui {
class eObject;
class eAudioAttr;
}

class eAudioAttr : public eAttr
{
    Q_OBJECT

public:
    explicit eAudioAttr(eAudio::Data &data, QWidget *parent = nullptr);
    ~eAudioAttr();

public:
    void restoreItem(QString stre);
    void flashOrder();

signals:
    void sRequestUpdate();

public slots:
    void onCurrentElementChanged(QListWidgetItem *cur, QListWidgetItem *last);
    void onDeleteElement();
    void onClearElements();
    void onGoUpElement();
    void onGoDownElement();
    void OnGeometryChanged(const QRectF & rt);
    void onAddMp3();
private:
    Ui::eAudioAttr *ui;
    eAudio::Data &m_attr;
    QRectF m_eWindowRect;
};

#endif // eAudioAttr_H
